﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;
using Foundation;
using UIKit;
using System.IO;

//Register the iOS implementation of ISave with DependencyService
[assembly: Dependency(typeof(GettingStarted.iOS.SaveiOS))]

namespace GettingStarted.iOS
{
    public class SaveiOS : ISave
    {
        public string Save(MemoryStream fileStream)
        {
            string path = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            //The path to which the file is to be saved
            string filepath = Path.Combine(path, "SavedPicture"+Guid.NewGuid()+".jpg");

            FileStream outputFileStream = File.Open(filepath, FileMode.Create);
            fileStream.Position = 0;
            //Save the input stream of the PDF to the file
            fileStream.CopyTo(outputFileStream);
            outputFileStream.Close();
            return filepath;
        }

        public void SaveAsync(MemoryStream fileStream)
        {
            throw new NotImplementedException();
        }
    }
}